Sys::Virt::NWFilter(3pm)

NAME
Sys::Virt::NWFilter - Represent & manage a libvirt virtual network

DESCRIPTION
The "Sys::Virt::NWFilter" module represents a virtual network managed by the virtual machine monitor.

METHODS

my $uuid = $filter->get_uuid()
    Returns a 16 byte long string containing the raw globally unique identifier (UUID) for the network.

my $uuid = $filter->get_uuid_string()
    Returns a printable string representation of the raw UUID, in the format 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX'.

my $name = $filter->get_name()
    Returns a string with a locally unique name of the network

my $xml = $filter->get_xml_description()
    Returns an XML document containing a complete description of the network's configuration

$filter->undefine()
    Remove the configuration associated with a network filter previously defined with the "define_nwfilter" method in Sys::Virt.

CONSTANTS
This section documents constants that are used with various APIs described above

  NWFILTER DEFINE
The following constants can be used to control the behaviour of network filter define operations

Sys::Virt::NWFilter::DEFINE_VALIDATE
    Validate the XML document against the XML schema

AUTHORS
Daniel P. Berrange <berrange@redhat.com>

COPYRIGHT
Copyright (C) 2006 Red Hat Copyright (C) 2006-2007 Daniel P. Berrange

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of either the GNU General Public License as published by the Free Software Foundation (either version 2 of the License, or at your option any later version), or, the Artistic License, as specified in the Perl README file.

SEE ALSO
Sys::Virt, Sys::Virt::Error, "http://libvirt.org"